"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_day = require("../../../common/libraries/day.js");
const gen_Enums = require("../../../gen/Enums.js");
if (!Array) {
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_hs_level2 = common_vendor.resolveComponent("hs-level");
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  (_easycom_hs_enum_tag2 + _easycom_hs_level2 + _easycom_up_icon2)();
}
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_hs_level = () => "../../../components/hs-level/hs-level.js";
const _easycom_up_icon = () => "../../../node-modules/uview-plus/components/u-icon/u-icon.js";
if (!Math) {
  (_easycom_hs_enum_tag + _easycom_hs_level + _easycom_up_icon)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "TemplateWorkorder",
  props: ["item"],
  setup(__props) {
    const props = __props;
    const toPageShow = () => {
      var _a;
      common_vendor.index.navigateTo({
        url: `/WORKORDER/show/index?id=${(_a = props == null ? void 0 : props.item) == null ? void 0 : _a.model_id}`
      });
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D, _E, _F, _G, _H, _I, _J, _K, _L, _M, _N, _O, _P, _Q, _R, _S, _T, _U, _V, _W, _X;
      return common_vendor.e({
        a: common_vendor.p({
          value: (_a = props == null ? void 0 : props.item) == null ? void 0 : _a.type,
          Enums: common_vendor.unref(gen_Enums.CompanyEmployeeBacklogsTypeEnum)
        }),
        b: (_c = (_b = props == null ? void 0 : props.item) == null ? void 0 : _b.model) == null ? void 0 : _c.type
      }, ((_e = (_d = props == null ? void 0 : props.item) == null ? void 0 : _d.model) == null ? void 0 : _e.type) ? {
        c: common_vendor.p({
          value: (_g = (_f = props == null ? void 0 : props.item) == null ? void 0 : _f.model) == null ? void 0 : _g.type,
          Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersTypeEnum)
        })
      } : {}, {
        d: (_i = (_h = props == null ? void 0 : props.item) == null ? void 0 : _h.model) == null ? void 0 : _i.level
      }, ((_k = (_j = props == null ? void 0 : props.item) == null ? void 0 : _j.model) == null ? void 0 : _k.level) ? {
        e: common_vendor.p({
          level: (_m = (_l = props == null ? void 0 : props.item) == null ? void 0 : _l.model) == null ? void 0 : _m.level
        })
      } : {}, {
        f: common_vendor.p({
          value: (_n = props == null ? void 0 : props.item) == null ? void 0 : _n.status,
          Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersStatusEnum)
        }),
        g: common_vendor.n(`btn_status status_${(_o = props == null ? void 0 : props.item) == null ? void 0 : _o.status}`),
        h: ((_q = (_p = props == null ? void 0 : props.item) == null ? void 0 : _p.model) == null ? void 0 : _q.location) === "MyHome"
      }, ((_s = (_r = props == null ? void 0 : props.item) == null ? void 0 : _r.model) == null ? void 0 : _s.location) === "MyHome" ? {
        i: common_vendor.t((_v = (_u = (_t = props == null ? void 0 : props.item) == null ? void 0 : _t.model) == null ? void 0 : _u.asset_house) == null ? void 0 : _v.full_name)
      } : {}, {
        j: common_vendor.t((_x = (_w = props == null ? void 0 : props.item) == null ? void 0 : _w.model) == null ? void 0 : _x.content),
        k: ((_y = props == null ? void 0 : props.item) == null ? void 0 : _y.type) === "WorkOrder" && ((_A = (_z = props == null ? void 0 : props.item) == null ? void 0 : _z.model) == null ? void 0 : _A.status) === "Pending" && ((_C = (_B = props == null ? void 0 : props.item) == null ? void 0 : _B.model) == null ? void 0 : _C.location) === "MyHome"
      }, ((_D = props == null ? void 0 : props.item) == null ? void 0 : _D.type) === "WorkOrder" && ((_F = (_E = props == null ? void 0 : props.item) == null ? void 0 : _E.model) == null ? void 0 : _F.status) === "Pending" && ((_H = (_G = props == null ? void 0 : props.item) == null ? void 0 : _G.model) == null ? void 0 : _H.location) === "MyHome" ? {
        l: common_vendor.p({
          name: "clock",
          color: ((_K = common_vendor.unref(common_libraries_day.getTimeStatus)((_J = (_I = props == null ? void 0 : props.item) == null ? void 0 : _I.model) == null ? void 0 : _J.expect_end_time)) == null ? void 0 : _K.color) || "#000",
          size: "14"
        }),
        m: common_vendor.t((_N = common_vendor.unref(common_libraries_day.getTimeStatus)((_M = (_L = props == null ? void 0 : props.item) == null ? void 0 : _L.model) == null ? void 0 : _M.expect_end_time)) == null ? void 0 : _N.label),
        n: common_vendor.n(`todo_done_card_footer status_${(_Q = common_vendor.unref(common_libraries_day.getTimeStatus)((_P = (_O = props == null ? void 0 : props.item) == null ? void 0 : _O.model) == null ? void 0 : _P.expect_end_time)) == null ? void 0 : _Q.status}`)
      } : {}, {
        o: common_vendor.t((_R = props == null ? void 0 : props.item) == null ? void 0 : _R.created_at),
        p: common_vendor.o(($event) => toPageShow()),
        q: common_vendor.n(`todo_done_card ${((_S = props == null ? void 0 : props.item) == null ? void 0 : _S.type) === "WorkOrder" && ((_U = (_T = props == null ? void 0 : props.item) == null ? void 0 : _T.model) == null ? void 0 : _U.status) === "Pending" ? `card_status_${(_X = common_vendor.unref(common_libraries_day.getTimeStatus)((_W = (_V = props == null ? void 0 : props.item) == null ? void 0 : _V.model) == null ? void 0 : _W.expect_end_time)) == null ? void 0 : _X.status}` : ""}`)
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ac60665f"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/components/TemplateWorkorder.vue"]]);
wx.createComponent(Component);
